Bug 971203 - [abrt] bibus-1.5.1-8.fc18: codecs.py:351:write:UnicodeEncodeError: 'latin-1' codec can't encode character u'\u2013' in position 645: ordinal not in range(256)
[abrt] bibus-1.5.1-8.fc18: codecs.py:351:write:UnicodeEncodeError: 'latin-1' ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bibus (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
abrt_hash:0adba3cd58cd6d9f66c6dbaa18b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 21:50 EDT by Giles Waltersrna1405
Modified: 2014-02-05 16:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:41:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.80 KB, text/plain)
2013-06-05 21:50 EDT, Giles Waltersrna1405
no flags Details
File: core_backtrace (439 bytes, text/plain)
2013-06-05 21:50 EDT, Giles Waltersrna1405
no flags Details
File: environ (2.28 KB, text/plain)
2013-06-05 21:50 EDT, Giles Waltersrna1405
no flags Details

  None (edit)
Description Giles Waltersrna1405 2013-06-05 21:50:39 EDT
Description of problem:
exporting a reference from Bibus in RIs format. failed

Version-Release number of selected component:
bibus-1.5.1-8.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        python /usr/share/bibus/bibus.py
dso_list:       python-libs-2.7.3-13.fc18.i686
executable:     /usr/share/bibus/bibus.py
kernel:         3.9.4-200.fc18.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
codecs.py:351:write:UnicodeEncodeError: 'latin-1' codec can't encode character u'\u2013' in position 645: ordinal not in range(256)

Traceback (most recent call last):
  File "/usr/share/bibus/BibFrame.py", line 1135, in onMenuFileExport
    self.__FileExport( mod, enc=mod.DEFAULT_ENCODING )
  File "/usr/share/bibus/BibFrame.py", line 1121, in __FileExport
    exporter.write(ref)
  File "/usr/share/bibus/Export/RIS.py", line 57, in write
    self.infile.write(record)
  File "/usr/lib/python2.7/codecs.py", line 691, in write
    return self.writer.write(data)
  File "/usr/lib/python2.7/codecs.py", line 351, in write
    data, consumed = self.encode(object, self.errors)
UnicodeEncodeError: 'latin-1' codec can't encode character u'\u2013' in position 645: ordinal not in range(256)

Local variables in innermost frame:
self: <open file u'/home/giles/Downloads/Chen2011.ris', mode 'wb' at 0xa8bb8b8>
object: u'TY  - JOUR\nA1  - Chen, Nan\nA1  - Yu, Hai-Jin\nA1  - Zhang, Wen\nA1  - Chen, Yong-Xi\nJA  - Clin Exp Immunol\nJO  - Clinical and Experimental Immunology\nY1  - 2011//\nSP  - 52\nEP  - 3\nT1  - A randomized controlled trial of MMF versus CyP for induction therapy in ANCA-AASV with renal involvement\n\nVL  - 164 (Suppl 1)\nN2  - Objective: To compare the safety and clinical efficacies\nof MMF and intermittent CyP pulse therapy in induction\ntreatment of patients with ANCA-AASV.\nMethods: Patients with newly diagnosed AASV received\neither MMF treatment (MMF group, dose: 2.0 g/day or 1.5 g/\nday if < 50 kg) or monthly CyP pulse therapy (CyP group,\ndose: 0.5\u20130.75 g/m2/month) for 6 months. Disease activity\nwas assessed using the BVAS. The disease activity, remission\nrate, renal function, serum ANCA and adverse effects at the\n6th month were compared between the two groups.\nResults: Nineteen subjects were enrolled into the study, 10\nin the MMF group and nine in the CyP group (eight male,\n11 female, aged 61.7 \xb1 12.3 years). At diagnosis, there was no\nsignificant difference regarding BVAS, renal insufficiency\nand anaemia within the two groups. However, at the end of\nremission\u2013induction therapy, BVAS, renal insufficiency and\nanaemia was improved significantly in both groups. BVAS,\nrenal insufficiency and anaemia were improved significantly\nin the CyP group at 6 months versus at diagnosis (P = 0.001,\n0 = 0.07, P = 0.042, respectively). BVAS and renal insuffi-\nciency were improved significantly in the MMF group\nat 6 months versus at diagnosis (P = 0.01, 0 = 0.02, respec-\ntively). For side effects, pulmonary infection was not signifi-\ncantly different between the two groups (P > 0.05). However,\nmore severe infection was found in patients treated with\nMMF.\nConclusion: MMF was efficient in treating patients with\nsevere AASV. However, more severe infection was found in\npatients treated with MMF.\n'
Comment 1 Giles Waltersrna1405 2013-06-05 21:50:44 EDT
Created attachment 757454 [details]
File: backtrace
Comment 2 Giles Waltersrna1405 2013-06-05 21:50:47 EDT
Created attachment 757455 [details]
File: core_backtrace
Comment 3 Giles Waltersrna1405 2013-06-05 21:50:49 EDT
Created attachment 757456 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 08:52:51 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:41:40 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.